/*
 * Copyright 2015 Google, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.classyshark.gui.theme.light;

import java.awt.Color;

/**
 *  Application color scheme
 */
class LightColorScheme {
    private LightColorScheme(){}

    static final Color DEFAULT = new Color(101, 123, 131);
    static final Color KEYWORDS = new Color(181, 137, 0);
    static final Color IDENTIFIERS = new Color(133, 153, 0);
    static final Color ANNOTATIONS = new Color(108, 113, 196);
    static final Color SELECTION_BG = new Color(7, 56, 66);
    static final Color NAMES = new Color(147, 161, 161);
}
